/*  ==========================================================================
    Backgrounds
    ========================================================================== */

.u-background {

    &--green {
        background: map-get( $c-colours, green );
        color: $c-white;
    }

    &--dark {
        background: map-get( $c-colours, off-black );
        color: $c-white;
    }

    &--off-white {
        background: map-get( $c-colours, off-white );
    }
}

/*  ==========================================================================
    Arrows
    ========================================================================== */

.arrow {

    &--down {
        position: relative;
        @include vs-spacing(padding-bottom, 40px, 40px);

        &:after {
            content: '';
            display: block;
            background: url(../img/tmp/arrow.svg) no-repeat center;
            background-size: 14px 24px;
            width: 14px;
            height: 24px;
            position: absolute;
            bottom: 0;
            left: 50%;
            transform: translate3d(-50%, 0,0) rotate(-90deg);
        }
    }

    &--right-dark {
        position: relative;
        @include vs-spacing(padding-right, 40px, 40px);
        @include vs-spacing(padding-left, 40px, 40px);

        &:after {
            content: '';
            display: block;
            background: url(../img/tmp/arrow-dark.svg) no-repeat center;
            background-size: 14px 24px;
            width: 14px;
            height: 24px;
            position: absolute;
            top: 50%;
            right: 10px;
            transform: translate3d(0,-50%,0) rotate(-180deg);
        }
    }
}

/*  ==========================================================================
    Display
    ========================================================================== */

.display {

    &--inline-block {
        display: inline-block;
    }
}

/*  ==========================================================================
    Seperator
    ========================================================================== */

.seperator {
    padding-top: 50px;
    margin-top: 50px;
    border-top: 1px solid $c-white;

    @include breakpoint( large ) {
        padding-top: 0px;
        margin-top: 0px;
        border-top: none;
        padding-left: 50px;
        padding-right: 50px;
        border-left: 1px solid $c-white;
    }

    &--first {
        padding-top: 0px;
        margin-top: 0px;
        border-top: none;

        @include breakpoint( large ) {
            border-left: none;
        }
    }
}